import { Column, Entity, Index, PrimaryGeneratedColumn } from 'typeorm';

@Index('Log_Nsd', ['logNsd'], {})
@Index('Log_Time', ['logTime'], {})
@Entity('log', { schema: 'cadprotmms' })
export class Log {
  @PrimaryGeneratedColumn({ type: 'int', name: 'Log_Id' })
  logId: number;

  @Column('datetime', { name: 'Log_Time' })
  logTime: Date;

  @Column('int', {
    name: 'Log_Type',
    nullable: true,
    comment:
      '0: Đăng nhập hệ thống; 1: Camera; 2: Tủ camera; 3:Tủ thông tin; 4: Tủ điều khiển; 5: Điều khiển chiến lược tủ đèn; 6: Đèn tín hiệu giao thông; 7:Điểm đếm xe; 8: Khu vực; 9: Kế hoạch tủ điều khiển; 10: Tuyến làn sóng xanh; 11: Chiến lược làn sóng xanh; 12:',
  })
  logType: number | null;

  @Column('int', { name: 'Log_Nsd', nullable: true })
  logNsd: number | null;

  @Column('text', { name: 'Log_Description', nullable: true })
  logDescription: string | null;

  @Column('varchar', { name: 'Log_Ip', length: 30 })
  logIp: string;

  @Column('varchar', { name: 'Log_Device', nullable: true, length: 100 })
  logDevice: string | null;
}
