import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { Log } from './log.entity';

@Injectable()
export class LogService {
  constructor(
    @InjectRepository(Log)
    private logRepository: Repository<Log>,
  ) {}

  async log(
    logType: number,
    logNsd: number | null,
    logDescription: string | null,
    logIp: string,
    logDevice: string | null,
  ): Promise<Log> {
    const logEntry = this.logRepository.create({
      logType,
      logNsd,
      logDescription,
      logIp,
      logDevice,
    });
    return await this.logRepository.save(logEntry);
  }
}
